unit frmUncheckout_U;
// This file is part of Sarah Dean's Code Co-op Shell Extension.
//
//  "Sarah Dean's Code Co-op Shell Extension" is free software; you can
// redistribute it and/or modify it under the terms of the GNU General
// Public License as published by the Free Software Foundation; either
// version 2 of the License, or at your option) any later version.
//
//  "Sarah Dean's Code Co-op Shell Extension" is distributed in the hope
// that it will be useful, but WITHOUT ANY WARRANTY; without even the
// implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
// See the GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with "Sarah Dean's Code Co-op Shell Extension"; if not, write to
// the Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston,
// MA  02111-1307  USA



interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ComCtrls;

type
  TfrmUncheckout = class(TForm)
    pbOK: TButton;
    pbCancel: TButton;
    ckMakeBackup: TCheckBox;
    reFiles: TRichEdit;
    Label1: TLabel;
    ckRecurseSubdirs: TCheckBox;
    procedure FormShow(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private

  public
    { Public declarations }
  end;


implementation

{$R *.DFM}

uses
  FileCtrl,
  AppGlobalConsts_U;

procedure TfrmUncheckout.FormShow(Sender: TObject);
var
  i: integer;
begin
  self.Caption := APP_TITLE +': '+self.Caption;

  ckRecurseSubdirs.Enabled := FALSE;
  ckRecurseSubdirs.checked := FALSE;
  for i:=0 to (reFiles.lines.count-1) do
    begin
    if DirectoryExists(reFiles.lines[i]) then
      begin
      ckRecurseSubdirs.Enabled := TRUE;
      ckRecurseSubdirs.checked := TRUE;
      end;
    end;

end;


procedure TfrmUncheckout.FormCreate(Sender: TObject);
begin
  reFiles.Lines.Clear();

end;

END.


